
from setuptools import setup

def readme():
	with open('README.rst') as f:
		return f.read()

setup(
	name='fexqt',
	version='2.0.0a1',
	description='Frequency Excursion Calculator',
	long_description=readme(),
	classifiers=[
		'Development Status :: 3 - Alpha',
		'License :: OSI Approved :: MIT License',
		'Intended Audience :: Science/Research',
		'Programming Language :: Python :: 3',
		'Topic :: Multimedia :: Sound/Audio :: Analysis',
		'Topic :: Scientific/Engineering :: Visualization'
	],
	url='http://jessemcclure.org',
	author='Jesse McClure',
	author_email='jmcclure@broadinstitute.org',
	license='MIT',
	packages=['fexqt'],
	package_data={'fexqt': ['*.yaml']},
	install_requires=['numpy', 'scipy', 'pyYAML' ], # PyQt5 has no pkg on PyPi
	python_requires='>=3',
	entry_points={'console_scripts': ['fex=fexqt:main']},
	include_package_data=True,
	zip_safe=False)
